commit:     4866133fcd354925bb3e78cde5f1e0affa686769
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 21 22:35:18 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 22 14:02:11 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4866133f

net-firewall/ipset: add 7.19

Closes: https://bugs.gentoo.org/908698
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-firewall/ipset/Manifest          |   1 +
 net-firewall/ipset/ipset-7.19.ebuild | 106 +++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/net-firewall/ipset/Manifest b/net-firewall/ipset/Manifest
index a65795385364..31344ef84f87 100644
--- a/net-firewall/ipset/Manifest
+++ b/net-firewall/ipset/Manifest
@@ -1 +1,2 @@
 DIST ipset-7.17.tar.bz2 684983 BLAKE2B 
43b74ab7caf5a963787184aa75b6c071388c8d28997681444b72118aba68b843e961b50418c3fa70b451b4cb090ec62940b770abac2156910442115edbf90d41
 SHA512 
e308a0d7707ccf7d0cb06a32cf9a822f97862e007abdbab8a91a5a0d5bfbd9f2fb9a3f5e8f36b250ec0d565438c8648a31e8e5b45d8205a76558e90f46e6e597
+DIST ipset-7.19.tar.bz2 686712 BLAKE2B 
04290b94be471aedd732601e1dc147a066933606152beb76ba1a21283aa2e3f8b891fd9575db73f2af67b446fb77a0ca6b2432ae606440ac9e9bf80e41d1f640
 SHA512 
0f4252e6d967b0f130a2c7a0307b17c6b7d48336e86b2f838ea176f5faaa0c9bbbf273060906b43d91e9b38a9f33c18918e33d02292839a6bc321181d5d7f84e

diff --git a/net-firewall/ipset/ipset-7.19.ebuild 
b/net-firewall/ipset/ipset-7.19.ebuild
new file mode 100644
index 000000000000..2c0d15090573
--- /dev/null
+++ b/net-firewall/ipset/ipset-7.19.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MODULES_OPTIONAL_IUSE=modules
+inherit bash-completion-r1 linux-mod-r1 systemd
+
+DESCRIPTION="IPset tool for iptables, successor to ippool"
+HOMEPAGE="https://ipset.netfilter.org/ https://git.netfilter.org/ipset/";
+SRC_URI="https://ipset.netfilter.org/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       >=net-firewall/iptables-1.4.7
+       net-libs/libmnl:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( ChangeLog INSTALL README UPGRADE )
+
+# Configurable from outside, e.g. /etc/portage/make.conf
+IP_NF_SET_MAX=${IP_NF_SET_MAX:-256}
+
+pkg_setup() {
+       get_version
+
+       CONFIG_CHECK="NETFILTER NETFILTER_NETLINK !PAX_CONSTIFY_PLUGIN"
+       ERROR_NETFILTER="ipset requires NETFILTER support in your kernel."
+       ERROR_NETFILTER_NETLINK="ipset requires NETFILTER_NETLINK support in 
your kernel."
+        ERROR_PAX_CONSTIFY_PLUGIN="ipset contains constified variables (bug 
#614896)"
+
+       # It does still build without NET_NS, but it may be needed in future.
+       #CONFIG_CHECK="${CONFIG_CHECK} NET_NS"
+       #ERROR_NET_NS="ipset requires NET_NS (network namespace) support in 
your kernel."
+
+       build_modules=0
+       if use modules; then
+               if linux_config_src_exists && linux_chkconfig_builtin 
"MODULES"; then
+                       # bug #274577
+                       if linux_chkconfig_present "IP_NF_SET" || 
linux_chkconfig_present "IP_SET"; then
+                               eerror "There is IP{,_NF}_SET or 
NETFILTER_XT_SET support in your kernel."
+                               eerror "Please either build ipset with modules 
USE flag disabled"
+                               eerror "or rebuild kernel without IP_SET 
support and make sure"
+                               eerror "there is NO kernel ip_set* modules in 
/lib/modules/<your_kernel>/... ."
+                               die "USE=modules and in-kernel ipset support 
detected."
+                       else
+                               einfo "Modular kernel detected. Will build 
kernel modules..."
+                               build_modules=1
+                       fi
+               else
+                       eerror "Monolithic kernel detected, but USE=modules. 
Either build"
+                       eerror "modular kernel (without IP_SET) or disable 
USE=modules"
+                       die "Monolithic kernel detected, will not build kernel 
modules"
+               fi
+       fi
+
+       [[ ${build_modules} -eq 1 ]] && linux-mod-r1_pkg_setup
+}
+
+src_configure() {
+       export bashcompdir="$(get_bashcompdir)"
+
+       local myeconfargs=(
+               --enable-bashcompl
+               $(use_with modules kmod)
+               --with-maxsets=${IP_NF_SET_MAX}
+               --with-ksource="${KV_DIR}"
+               --with-kbuild="${KV_OUT_DIR}"
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       emake
+
+       if [[ ${build_modules} -eq 1 ]]; then
+               MODULES_MAKEARGS+=(
+                       KBUILDDIR="${KV_OUT_DIR}"
+                       INSTALL_MOD_DIR="extra" # Makefile wants 'extra' for 
warning
+               )
+
+               emake "${MODULES_MAKEARGS[@]}" modules
+       fi
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -delete || die
+
+       newinitd "${FILESDIR}"/ipset.initd-r5 ${PN}
+       newconfd "${FILESDIR}"/ipset.confd-r1 ${PN}
+       systemd_newunit "${FILESDIR}"/ipset.systemd-r1 ${PN}.service
+       keepdir /var/lib/ipset
+
+       if [[ ${build_modules} -eq 1 ]]; then
+               emake "${MODULES_MAKEARGS[@]}" INSTALL_MOD_PATH="${ED}" 
modules_install
+               modules_post_process
+       fi
+}

Reply via email to